<div
  [ngClass]="[
    'status-catalog',
    jds.d('flex'),
    jds.alignItems('center'),
    jds.gap(8)
  ]"
>
  @if (
    (catalog() === 'dataset' || catalog() === 'mapset') &&
    (satudataUser.role_name === 'walidata' || satudataUser.role_name === 'opd')
  ) {
    <button
      [colorScheme]="status() === 'draft' ? colorScheme : 'gray'"
      [variant]="status() === 'draft' ? 'solid' : 'outline'"
      (click)="onStatus('draft')"
      jdsBiButton
    >
      <span>Draf</span>
    </button>
  }

  <button
    [colorScheme]="status() === 'active' ? colorScheme : 'gray'"
    [variant]="status() === 'active' ? 'solid' : 'outline'"
    (click)="onStatus('active')"
    jdsBiButton
  >
    <span>Aktif</span>
  </button>

  <button
    [colorScheme]="status() === 'archive' ? colorScheme : 'gray'"
    [variant]="status() === 'archive' ? 'solid' : 'outline'"
    (click)="onStatus('archive')"
    jdsBiButton
  >
    <span>Arsip</span>
  </button>

  @if (
    catalog() === 'dataset' &&
    (satudataUser.role_name === 'walidata' || satudataUser.role_name === 'opd')
  ) {
    <button
      [colorScheme]="status() === 'delete' ? colorScheme : 'gray'"
      [variant]="status() === 'delete' ? 'solid' : 'outline'"
      (click)="onStatus('delete')"
      jdsBiButton
    >
      <span>Hapus</span>
    </button>
  }
</div>
